> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Installation



## OpenAPI

````yaml post /headless/completeInstallation
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /headless/completeInstallation:
    post:
      summary: Complete Installation
      operationId: complete-installation
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - installationId
                - data
              properties:
                installationId:
                  type: string
                  description: ID you received when you started the installation.
                data:
                  type: array
                  description: Values filled by user in your installation form
                  items:
                    properties:
                      workflowId:
                        type: string
                      blockId:
                        type: string
                      fields:
                        type: array
                        items:
                          properties:
                            name:
                              type: string
                            value:
                              type: string
                          required:
                            - name
                            - value
                          type: object
                    required:
                      - workflowId
                      - blockId
                    type: object
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: Installation completed successfully
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Installation completed successfully
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````